IM_RIGHTSHIFT_SIZE(3)

NAME
 im_rightshift_size - Decrease size by a power-of-two factor

SYNOPSIS
#include <vips/vips.h>

int im_rightshift_size( IMAGE *in, IMAGE *out, int xshift, int yshift, int band_fmt );

DESCRIPTION
im_rightshift_size(3) decreases the size of an integer type image by a power-of-two factor, very quickly, by summing the values of adjacent pixels. The sum is shifted to produce output of the specified band format. xshift and yshift are positive and give the base-two logarithms of the scale factors.

If the input image is a signed type, then band_fmt must be one of IM_BANDFMT_CHAR, IM_BANDFMT_SHORT or IM_BANDFMT_INT. If it is an unsigned type, then band_fmt must be one of IM_BANDFMT_UCHAR, IM_BANDFMT_USHORT or IM_BANDFMT_UINT.

RETURN VALUE
The functions returns 0 on success and -1 on error.

SEE ALSO
im_affine(3)

COPYRIGHT
Copyright 2006, Tom Vajzovic.

AUTHOR
Tom Vajzovic